/* Estilos generales */
body {
  font-family: 'Fira Sans Condensed', sans-serif;
  font-weight: 100;
  font-style: normal;
}

/* Styles for home loading */

#preloader {
  position: fixed;
  left: 0;
  top: 0;
  z-index: 99999;
  height: 100%;
  width: 100%;
  background: #4b4b4b;
  display: flex;
}

/* Loader */
.loadHM {
  width: 48px;
  height: 40px;
  margin: auto;  
  position: relative;
  background: #FFF;
  border-radius: 15% 15% 35% 35%;
}

.loadHM::after {
  content: '';
  box-sizing: border-box;
  position: absolute;
  left: 45px;
  top: 8px;
  border: 4px solid #FFF;
  width: 16px;
  height: 20px;
  border-radius: 0 4px 4px 0;
}

.loadHM::before {
  content: '';
  position: absolute;
  width: 1px;
  height: 10px;
  color: #FFF;
  top: -15px;
  left: 11px;
  box-sizing: border-box;
  animation: animloader 1s ease infinite;
}

@keyframes animloader {
  0% {
    box-shadow: 2px 0px rgba(255, 255, 255, 0), 12px 0px rgba(255, 255, 255, 0.3), 20px 0px rgba(255, 255, 255, 0);
  }

  50% {
    box-shadow: 2px -5px rgba(255, 255, 255, 0.5), 12px -3px rgba(255, 255, 255, 0.5), 20px -2px rgba(255, 255, 255, 0.6);
  }

  100% {
    box-shadow: 2px -8px rgba(255, 255, 255, 0), 12px -5px rgba(255, 255, 255, 0), 20px -5px rgba(255, 255, 255, 0);
  }
}

/* Añadir animación para desaparecer */
@keyframes fadeOut {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
    visibility: hidden;
  }
}

.loadHM#preloader.fade-out {
  animation: fadeOut 1s forwards;
}

.cardContact {
  max-width: 540px;
  height: 24rem;
  box-shadow: 2px 6px 8px 0 rgba(22, 22, 26, 0.18);
  border-radius: 0;
}

.cardContact img {
  object-fit: cover;
  width: 200%;
  height: 108.5%;
}

.hrefMain {
  position: relative;
  text-decoration: none;
  color: #a0a0a0;
  font-size: 18px;
  letter-spacing: 0.5px;
  padding: 0 10px;

}

a.hrefMain.active {
  content: "";
  position: relative;
  background-color: #3c87ff;
  height: 100%;
  width: 100%;
  left: 0;
  font-weight: bold;
}

.hrefMain:after {
  content: "";
  position: absolute;
  background-color: #3c87ff;
  height: 3px;
  width: 0;
  left: 0;
  bottom: -10px;
  transition: 0.3s;
}


.hrefMain:hover {
  color: #ffffff;
}

.hrefMain:hover:after {
  width: 100%;
}


figure {
  position: relative;
  height: 250px;
  cursor: pointer;
  width: 350px;
  overflow: hidden;
  border-radius: 6px;
  box-shadow: 0px 15px 25px rgba(0, 0, 0, 0.50);
}

figure img {
  width: 100%;
  height: 100%;
  transition: all 400ms ease-out;
  will-change: transform;
}

figure .capa {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 103, 123, 0.7);
  transition: all 400ms ease-out;
  opacity: 0;
  visibility: hidden;
  text-align: center;
}

figure:hover>.capa {
  opacity: 1;
  visibility: visible;
}

figure:hover>.capa h3 {
  margin-top: 70px;
  margin-bottom: 15px;
}

figure:hover>img {
  transform: scale(1.3);
}

figure .capa h3 {
  color: #fff;
  font-weight: 400;
  margin-bottom: 120px;
  transition: all 400ms ease-out;
  margin-top: 30px;
}

figure .capa a {
  text-decoration: none;
  color: #fff;
  font-size: 15px;
  line-height: 1.5;
  width: 100%;
  max-width: 220px;
  margin: auto;
}

.page-section {
  padding: 6rem 0;
}

.page-section .page-section-heading {
  font-size: 2.25rem;
  line-height: 2rem;
}

@media (min-width: 992px) {
  .page-section .page-section-heading {
    font-size: 3rem;
    line-height: 2.5rem;
  }
}

.divider-custom {
  margin: 1.25rem 0 1.5rem;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.divider-custom .divider-custom-line {
  width: 100%;
  max-width: 7rem;
  height: 0.25rem;
  background-color: #2c3e50;
  border-radius: 1rem;
  border-color: #2c3e50;
}

.divider-custom .divider-custom-line:first-child {
  margin-right: 1rem;
}

.divider-custom .divider-custom-line:last-child {
  margin-left: 1rem;
}

.divider-custom .divider-custom-icon {
  color: #2c3e50;
  font-size: 2rem;
}

.divider-custom.divider-light .divider-custom-line {
  background-color: #fff;
}

.divider-custom.divider-light .divider-custom-icon {
  color: #fff;
}

.masthead {
  padding-top: calc(6rem + 74px);
  padding-bottom: 6rem;
}

.masthead .masthead-heading {
  font-size: 2.75rem;
  line-height: 2.75rem;
}

.masthead .masthead-subheading {
  font-size: 1.25rem;
}

.masthead .masthead-avatar {
  width: 11rem;
  border-radius: 10px;
  object-fit: cover;
}

@media (min-width: 992px) {
  .masthead {
    padding-top: calc(6rem + 104px);
    padding-bottom: 6rem;
  }

  .masthead .masthead-heading {
    font-size: 4rem;
    line-height: 3.5rem;
  }

  .masthead .masthead-subheading {
    font-size: 1.5rem;
  }
}

@media screen and (max-width: 768px) {
  .cardContact {
    display: none;
  }

  .titlHm {
    display: none;
  }
}

@media screen and (min-width: 768px) {
  .carousel-inner {
    display: flex;
  }

  .carousel-item {
    display: block;
    margin-right: 0;
    flex: 0 0 33.333333%;
  }
}

.carousel-inner {
  padding: 1em;
}

.carousel-control-prev,
.carousel-control-next {
  width: 6vh;
  height: 6vh;
  background-color: #fd0202;
  border-radius: 50%;
  top: 50%;
  transform: translateY(-50%);
  opacity: .5;
}

.carousel-control-prev:hover,
.carousel-control-next:hover {
  opacity: 1;
}

.btn-social {
  border-radius: 100%;
  display: inline-flex;
  width: 3.25rem;
  height: 3.25rem;
  font-size: 1.25rem;
  justify-content: center;
  align-items: center;
}

/* Styles Button Visit */

.btn-flotante {
  font-size: 12px;
  /* Cambiar el tamaño de la tipografia */
  text-transform: capitalize;
  /* Texto en mayusculas */
  font-weight: bold;
  /* Fuente en negrita o bold */
  color: #ffffff;
  /* Color del texto */
  border-radius: 3px;
  /* Borde del boton */
  letter-spacing: 2px;
  /* Espacio entre letras */
  background-color: #3c87ff;
  /* Color de fondo */
  padding: 18px 30px;
  /* Relleno del boton */
  position: fixed;
  bottom: 25px;
  right: 25px;
  transition: all 300ms ease 0ms;
  box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1);
  z-index: 99;
}

.btn-flotante:hover {
  background-color: #2c2fa5;
  /* Color de fondo al pasar el cursor */
  box-shadow: 0px 15px 20px rgba(0, 0, 0, 0.3);
  transform: translateY(-7px);
}

@media only screen and (max-width: 600px) {
  .btn-flotante {
    font-size: 14px;
    padding: 12px 20px;
    bottom: 20px;
    right: 20px;
  }
}

.footer {
  padding-top: 5rem;
  padding-bottom: 5rem;
  background-color: #2c3e50;
  color: #fff;
}

.copyright {
  background-color: #1a252f;
}